
clear all
cd                     "T:\Projet 4375\Fevrier2021"
global results         "T:\Projet 4375\Juin2022\Results"
global dofile           "T:\Projet 4375\Juin2022\dofiles"

* link to stata packages 
sysdir set PERSONAL "T:\Projet 4375\ado\plus"
set matsize 1500
set more off

* small codes to make sure boottest runs on CIQSS computers
mata
mata mlib query
mata mlib index
end

e

* create datasets
do "$dofile/1_ConstructDataset"  
* => creates BDDPanel.dta

* clean variables and select couples
do "$dofile/1b_CleanUpDataset" 
* => creates BDDPanel2.dta => data for main analysis on men and women separately 
* => creates BDDPanel3.dta => data for analysis on couples (selection analysis)
* => creates BDDPanel4.dta => data for analysis on couples where both partners are observed. 

* Run main results of the paper (tab 3, tab 4), as well as results on selection (tab 6 in the paper and tab D1). 
* Run main results + wild bootstrap + EDF corrections
do "$dofile/2_Results" 
* => creates Tab 1 (= tab 3 in the article)
* => creates Tab 4 men (= tab 4, panel A for men in the article)
* => creates Tab 4 women (= tab 4, panel A for women in the article)
* => creates Tab 5 men (= tab 4, panel B for men in the article)
* => creates Tab 5 women (= tab 4, panel B for women in the article)
* => creates Tab 2 (= tab in the online appendix on cohabitation vs. marriage when starting a relationship) 
* => creates tab6_selectionMarSep_BefAft (= Tab 6 in the article)

* Run additional results on dynamic treatments 
do "$dofile/2_Results_test_twfe" 
* => creates tab5_women_did = coeff of table 4 panel B, women and do Event Study, De Chaisemartin et d'Haultefoeuille, Callaway et Sant'Anna
* => creates tab4_women_did = coeff of table 4 panel A, women and do Event Study, De Chaisemartin et d'Haultefoeuille, Callaway et Sant'Anna
* => creates tab5_men_did = coeff of table 4 panel B, men and do Event Study, De Chaisemartin et d'Haultefoeuille, Callaway et Sant'Anna
* => creates tab4_men_did = coeff of table 4 panel A, men and do Event Study, De Chaisemartin et d'Haultefoeuille, Callaway et Sant'Anna
* => creates tab1_women_did = coeff of table 3, women and do Event Study, De Chaisemartin et d'Haultefoeuille, Callaway et Sant'Anna
* => creates tab1_men_did = coeff of table 3, men and do Event Study, De Chaisemartin et d'Haultefoeuille, Callaway et Sant'Anna

* Run main results of the paper (tab 5)
do "$dofile/2_Results_couples" 
* => creates tab7_couple_0, tab7_couple_1, tab7_couple_2
* = results in table 5 of paper

do "$dofile/3_Statdesc" 
* => descriptive statistics

