
******************************************************************************
********************** MOYENNE DES VARIABLES: OUTCOMES ET CONTROLES **********************************				
******************************************************************************

use BDDPanel2, clear
drop if familyidnum == .



gen misswi_outcome  = missing(hourswi,incomewi)
gen misshu_outcome  = missing(hourshu,incomehu)

global samplehu "(statehu==2) & allagehu  & duree_couplehu <= 10  & migrant_prov_fam ==0  & misshu_outcome == 0"
global samplewi "(statewi==2) & allagewi  & duree_couplewi <= 10  & migrant_prov_fam ==0  & misswi_outcome == 0"

foreach q in "hu" "wi"{
	gen multijob`q' = (mnjob28`q' > 1) 
	replace multijob`q' = . if notemployed`q' == 1
	replace multijob`q' = . if age26`q' == .
	replace multijob`q' = . if mnjob28`q' == .
	gen changejob`q' = (chjob28`q' == 1)
	replace changejob`q' = . if age26`q' == .
	replace changejob`q' = . if chjob28`q' == .
}




********************
***** FEMMES     ***
********************
log using "$results\descvariables_femmes.txt", replace text	


********************************************************* SAMPLE = ALL PROVINCES ************************************************************

******** PONDERE *********
tabstat hourswi lnhourswi incomewi lnincomewi wkactifwi notemployedwi noearningswi multijobwi changejobwi studywi study_ftwi age26wi yeareducwi has_childwi duree_couplewi  [aw=poids_couplewi] if $samplewi , stat(mean sd n)
log close  _all

********************
***** HOMMES     ***
********************
log using "$results\descvariables_hommes.txt", replace text	

********************************************************* SAMPLE = ALL PROVINCES ************************************************************

******** PONDERE *********
tabstat hourshu lnhourshu incomehu lnincomehu wkactifhu multijobhu changejobhu studyhu study_fthu age26hu yeareduchu has_childhu  duree_couplehu  [aw=poids_couplehu] if $samplehu , stat(mean sd n)


log close  _all


**********************************************
************ Stat Desc pour les couples  *****
**********************************************
use BDDPanel4, replace

gen TOThours = alhrp28wi + alhrp28hu
gen TOTearn  = incomewi  + incomehu


so  familyidnum year 
by familyidnum : gen first = (_n==1)
replace first = . if familyidnum == .
replace first = . if personidhu == "" | personidwi == "" 
gen firstincwi = incomewi if first == 1
gen firstinchu = incomehu if first == 1
recode firstincwi firstinchu (.=0)
bys familyidnum : egen firstincwi2 = sum(firstincwi)
bys familyidnum : egen firstinchu2 = sum(firstinchu)
replace firstinchu2 = . if personidhu ==""
replace firstincwi2 = . if personidwi ==""

gen Type_LH_inc4 = ( firstincwi2  <= 0.4*(firstincwi2 + firstinchu2) ) if firstincwi2  != . &  firstinchu2 != .
gen Type_HL_inc4 = ( firstincwi2  > 0.4*(firstincwi2 + firstinchu2) ) if firstincwi2  != . &  firstinchu2 != .

drop first firstincwi firstinchu firstinchu2 firstincwi2


******* Définition des poids 
global weight   "[aw=poids_couple]"
gen miss_outcome  = missing(hourswi,incomewi,hourshu,incomehu,wifeshareinc,wifesharehour)
gen miss_x  = missing(has_child,duree_couple,age26wi,age26hu,pvreg25 )

gen quebec = (pvreg25==24) if pvreg25 != .


global sample "(cohab==1) & duree_couple <=10 & allage == 1 & miss_outcome == 0  & migrant_prov_fam ==0 & miss_x == 0"

log using "$results\descvariables_couples.txt", replace text	


*********************************** DEFINITION 1 (premiere observation) *****************************************
* Type_HL_inc4 = 0 => wife's share <= 40%
* Type_HL_inc4 = 1 => wife's share > 40%


******** PONDERE *********
tabstat Type_LH_inc4 Type_HL_inc4 if $sample  [aw=poids_couple], stat(mean  n)


******** PONDERE *********
tabstat hourswi lnhourswi incomewi lnincomewi age26wi yeareducwi hourshu lnhourshu incomehu lnincomehu age26hu yeareduchu has_child duree_couple  /*
	*/   wifesharehour wifeshareinc TOThours TOTearn [aw=poids_couple] if $sample  , by(Type_HL_inc4) stat(mean sd n)

	


log close  _all






